Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8264139

Suppress removal warnings for Security Manager methods

    XMLWordPrintable

    Details

      Description

      Many of the security manager methods will be deprecated for removal in JDK 17 as part of JEP 411, JDK-8264713. Once this JEP is integrated, anyone using JDK 17 to build JavaFX will see '[removal]' warnings from the compiler.

      You can use "gradle -PLINT=removal" to generate a list of these warnings.

      We will build JavaFX using JDK 16 until after JDK 17 ships (so we won't switch until JavaFX 18), so this isn't urgent, but we should consider doing this for JavaFX 17 so we can test later builds of JavaFX 17 with JDK 17 without seeing the warning.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kcr Kevin Rushforth
              Reporter:
              kcr Kevin Rushforth
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: